Skip to main content
PATCH
/
buckets
/
{filesystem}
Update object storage bucket
curl --request PATCH \
  --url https://cloud.laravel.com/api/buckets/{filesystem} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "visibility": "private",
  "allowed_origins": [
    "<string>"
  ],
  "cors_settings": {
    "allowed_origins": [
      "<string>"
    ],
    "allowed_methods": [
      "GET"
    ],
    "allowed_headers": [
      "<string>"
    ],
    "expose_headers": [
      "<string>"
    ],
    "max_age_seconds": 2
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "filesystems",
    "attributes": {
      "name": "<string>",
      "type": "cloudflare_r2",
      "status": "creating",
      "visibility": "private",
      "jurisdiction": "default",
      "endpoint": "<string>",
      "url": "<string>",
      "allowed_origins": "<string>",
      "cors_settings": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "keys": {
        "data": [
          {
            "type": "filesystemKeys",
            "id": "<string>"
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "filesystemKeys",
      "attributes": {
        "name": "<string>",
        "permission": "read_write",
        "access_key_id": "<string>",
        "access_key_secret": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "filesystem": {
          "data": {
            "type": "filesystems",
            "id": "<string>"
          }
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

filesystem
string
required

The filesystem identifier

Body

application/json
name
string
Required string length: 3 - 40
Pattern: ^[a-z0-9_-]+$
visibility
enum<string>
Available options:
private,
public
allowed_origins
string<uri>[] | null

This field is deprecated and will be removed May 17th, 2026. Please use cors_settings.allowed_origins instead.

cors_settings
object

Response

FilesystemResource

data
FilesystemResource · object
required
included
FilesystemKeyResource · object[]